/*!
  \file
  \brief 数学関数の補助ファイル

  \author Satofumi KAMIMURA

  $Id: MathUtils.cpp 772 2009-05-05 06:57:57Z satofumi $
*/

#include "MathUtils.h"

#if defined(MSC)
long lrint(double x)
{
  if (x >= 0) {
    x += 0.5;
  } else {
    x -= 0.5;
  }
  return static_cast<long>(x);
}
#endif
